Bug 520147 - Segfault in read_tiff_image with unsupported (16) bpp
Summary: Segfault in read_tiff_image with unsupported (16) bpp
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tesseract
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Karol Trzcionka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-28 15:57 UTC by Tobias Mueller
Modified: 2012-08-16 18:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 18:36:51 UTC


Attachments (Terms of Use)
TIF file which makes tesseract crash (5.55 MB, image/tiff)
2009-08-28 15:57 UTC, Tobias Mueller
no flags Details

Description Tobias Mueller 2009-08-28 15:57:25 UTC
Created attachment 359091 [details]
TIF file which makes tesseract crash

Description of problem:
I tried to run tesseract and it obviously crashed.

Version-Release number of selected component (if applicable):
2.03-1.fc10

How reproducible:


Steps to Reproduce:
1. tesseract Englisch.tif out -l deu
2.
3.
  
Actual results:
muelli@bigbox /tmp $ tesseract Englisch.tif out -l deu
Tesseract Open Source OCR Engine
check_legal_image_size:Error:Only 1,2,4,5,6,8 bpp are supported:16
Segmentation fault
muelli@bigbox /tmp $ 

Expected results:
I expected it to OCR my file fine.

Additional info:
muelli@bigbox /tmp $ gdb tesseract #Englisch.tif out -l deu
GNU gdb Fedora (6.8-32.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
(gdb) r Englisch.tif out -l deu
Starting program: /usr/bin/tesseract Englisch.tif out -l deu
[Thread debugging using libthread_db enabled]
Tesseract Open Source OCR Engine
check_legal_image_size:Error:Only 1,2,4,5,6,8 bpp are supported:16
[New Thread 0x7ffff7fd3700 (LWP 26592)]

Program received signal SIGSEGV, Segmentation fault.
memcpy () at ../sysdeps/x86_64/memcpy.S:267
267		rep
Current language:  auto; currently asm
(gdb) t a a bt full

Thread 1 (Thread 0x7ffff7fd3700 (LWP 26592)):
#0  memcpy () at ../sysdeps/x86_64/memcpy.S:267
No locals.
#1  0x000000000042fae6 in read_tiff_image (tif=0x9083c0, image=0x7fffffffe020)
    at /usr/include/bits/string3.h:52
	y = 0
	buf = (void *) 0x96c010
	image_width = 612
	image_height = 792
	photometric = 2
	bpp = <value optimized out>
	bytes_per_line = 1224
	dest_buf = (uinT8 *) 0x0
#2  0x0000000000403fe0 in main (argc=<value optimized out>, 
    argv=0x7fffffffe1f8) at tesseractmain.cpp:211
	page_str = "0\000\000\000\000\000\000\000\023,@\000\000\000\000\000(�ο?"
	image = {bpp = 0 '\0', bps = -38 '�', bytespp = 118 'v', 
  lineskip = -76 '�', captured = 63 '?', photo_interp = 1 '\001', xsize = 16, 
  ysize = 0, res = 300, image = 0x0, xdim = -1, bufheight = 0, fd = -1, 
  reader = 0x721000 <__init_array_start>, ymin = -1270363592, ymax = 63}
	page_number = 1
---Type <return> to continue, or q <return> to quit---
	archive = (TIFF *) 0x9083c0
	outfile = {data_ = 0x7beef0}
	lang = <value optimized out>
	arg = <value optimized out>
	infile = {data_ = 0x7bef10}
	image = {bpp = 0 '\0', bps = -18 '�', bytespp = 123 '{', 
  lineskip = 0 '\0', captured = 0 '\0', photo_interp = 1 '\001', 
  xsize = 7504976, ysize = 0, res = 300, image = 0x0, xdim = 7505336, 
  bufheight = 0, fd = -1, reader = 0x721000 <__init_array_start>, 
  ymin = -7984, ymax = 32767}
	text_out = {data_ = 0x7b5a50}
	len = <value optimized out>
	fp = <value optimized out>
(gdb)

Comment 1 Bug Zapper 2009-11-18 12:13:23 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2011-06-02 17:47:32 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Tobias Mueller 2011-06-22 13:09:25 UTC
Still an issue with F14.

Comment 4 Fedora End Of Life 2012-08-16 18:36:53 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.